## ukeyboard 1.8

=== keyboards-scv/Makefile ===
layouts = \
	  cz-qwerty.vkb cz-qwertz.vkb \
	  sk-qwerty.vkb sk-qwertz.vkb

all: $(layouts)

%.vkb:	%.def
	if [ -h $< ] ; then f=`readlink $< | sed 's/\.def/\.vkb/'` ; ln -s $$f $@ ; \
	else ../vkb_compiler $< $@ ; \
	fi

install:
	install -d $(DESTDIR)/usr/share/scv_layouts
	install -m 0644 $(layouts) $(DESTDIR)/usr/share/scv_layouts/

clean:
	rm -f *.vkb

=== keyboards/Makefile ===
layouts = \
	ar-lebanon.vkb \
	be-by.vkb \
	bg-bds.vkb \
	bg-phonetic.vkb \
	cz-qwerty.vkb cz-qwertz.vkb \
	en-dvorak.vkb \
	eo-qwerty.vkb \
	he-qwerty.vkb \
	hr-qwerty.vkb hr-qwertz.vkb \
	hu-qwertz.vkb \
	sk-qwerty.vkb sk-qwertz.vkb \
	th-kedmanee.vkb

all: $(layouts)

%.vkb:	%.def
	../vkb_compiler $< $@

install:
	install -d $(DESTDIR)/usr/share/ukeyboard
	install -m 0644 $(layouts) $(DESTDIR)/usr/share/ukeyboard/

clean:
	rm -f *.vkb

=== ukbdcreator/Makefile ===
CFLAGS_ADD = -g -W -Wall `pkg-config --cflags gtk+-2.0 hildon-1 hildon-fm-2 libosso gnome-vfs-2.0`
LDFLAGS_ADD = `pkg-config --libs gtk+-2.0 hildon-1 hildon-fm-2 libosso libosso gnome-vfs-2.0`
LD = $(CC)

all:	ukbdcreator

ukbdcreator.o:	ukbdcreator.c version.h ukbdcreator.h
	$(CC) $(CFLAGS_ADD) -c -o $@ $<

compiler.o:	compiler.c ukbdcreator.h ../vkb_compiler.h
	$(CC) $(CFLAGS_ADD) -c -o $@ $<

ukbdcreator:	ukbdcreator.o compiler.o ../vkb_compiler_lib.o
	$(LD) $(LDFLAGS_ADD) -o $@ $+

version.h:	../VERSION
	echo '#define UKBD_VERSION	"'`cat ../VERSION`'"' > version.h

clean:
	rm -f ukbdcreator *.o core

DESTDIR ?= /usr/local
install:
	install -d $(DESTDIR)/bin $(DESTDIR)/share/applications/hildon $(DESTDIR)/share/dbus-1/services
	install ukbdcreator $(DESTDIR)/bin
	install -m 0644 ukbdcreator.desktop $(DESTDIR)/share/applications/hildon
	install -m 0644 cz.upir.ukbdcreator.service $(DESTDIR)/share/dbus-1/services

=== debian/changelog ===
ukeyboard (1.8) unstable; urgency=low

  * Added Belarusian on-screen layout by Darafei Praliaskouski.
  * Modified US Dvorak layout.

 -- Jiri Benc <jbenc@upir.cz>  Tue, 30 Dec 2008 12:31:10 +0100

ukeyboard (1.7) unstable; urgency=low

  * Fixed Czech hw keyboard, added more characters (typed by
    Fn+Shift). Thanks to Jan "Yenya" Kasprzak.
  * Added Hebrew on-screen keyboard layout by Matan Ziv-Av.
  * Added Polish QWERTZ and QWERTY sliding keyboard layouts
    for DE hardware by Pawel Dys.

 -- Jiri Benc <jbenc@upir.cz>  Wed, 01 Oct 2008 00:35:26 +0200

ukeyboard (1.6) unstable; urgency=low

  * Added Croatian on-screen keyboard layout by Lovro Oreskovic.
  * Introduced Ukeyboard Creator (ukbdcreator).

 -- Jiri Benc <jbenc@upir.cz>  Sun, 29 Jun 2008 22:05:19 +0200

ukeyboard (1.5) unstable; urgency=low

  * Added Bulgarian phonetic sliding keyboard layout by Ognian
    Samokovliyski.
  * Added Thai Kedmanee on-screen layout by Panu Tangchalermkul.

 -- Jiri Benc <jbenc@upir.cz>  Sun, 25 May 2008 14:46:59 +0200

ukeyboard (1.4) unstable; urgency=low

  * Added Polish sliding keyboard layout by Marcin Juszkiewicz.

 -- Jiri Benc <jbenc@upir.cz>  Sat, 05 Apr 2008 13:23:50 +0200

ukeyboard (1.3) unstable; urgency=low

  * Added Slovak on-screen and sliding keyboard layouts by Roman Moravcik.
  * Added Arabic (Lebanon) on-screen layout by Ali Khadra.
  * Fixed US Dvorak layout.

 -- Jiri Benc <jbenc@upir.cz>  Sun, 16 Mar 2008 23:02:58 +0100

ukeyboard (1.2) unstable; urgency=low

  * Added US Dvorak layout by Paul Sweeney.
  * Added Czech hw layouts for devices with US keyboard by Michal Prihoda.
  * Fixed howto to reflect changes made in ukeyboard for OS2008.
  * Fixed build with OpenEmbedded.

 -- Jiri Benc <jbenc@upir.cz>  Fri, 29 Feb 2008 21:42:36 +0100

ukeyboard (1.1) unstable; urgency=low

  * Fixed wrong label ("Launch finger keyboard with select") in the
    control panel applet on N800.

 -- Jiri Benc <jbenc@upir.cz>  Tue, 12 Feb 2008 21:48:56 +0100

ukeyboard (1.0) unstable; urgency=low

  * Added support for OS2008 on-screen keyboards.
  * Added support for N810 sliding keyboard layouts and small on-screen
    keyboards (scv).
  * Added control panel applet that replaces the default one.
  * Enhanced vkb format documentation.
  * Added Czech QWERTY and QWERTZ layouts for the sliding keyboard.
  * OS2007 is no longer supported.

 -- Jiri Benc <jbenc@upir.cz>  Sun, 10 Feb 2008 03:17:35 +0100

ukeyboard (0.3.1) unstable; urgency=low

  * Added Hungarian layout by Hamorszky Balazs.

 -- Jiri Benc <jbenc@upir.cz>  Fri,  4 Jan 2008 21:18:26 +0000

ukeyboard (0.3) unstable; urgency=low

  * Renamed to ukeyboard.
  * Added Bulgarin phonetic and BDS layouts by Nickola Trupcheff.
  * Fixed Esperanto layout (swapped by mistake with Xeelee's layout).
  * Added support for comments in the compiler.
  * Reworked creating of .deb packages (all info is in .def files now).
  * Added instructions how to create a custom keyboard layout.

 -- Jiri Benc <jbenc@upir.cz>  Tue, 13 Nov 2007 20:23:57 +0000

czkeyboard (0.2-1) unstable; urgency=low

  * Fixed and enhanced the file format documentation.
  * Added support for special keyboards (&!e).
  * Added support for generating of multiple .deb files with different
    keyboard layouts.

 -- Jiri Benc <jbenc@upir.cz>  Sun, 11 Nov 2007 19:19:23 +0000

czkeyboard (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Jiri Benc <jbenc@upir.cz>  Tue, 26 Jun 2007 21:08:47 +0000

=== debian/control ===
Source: ukeyboard
Section: user/other
Priority: optional
Maintainer: Jiri Benc <jbenc@upir.cz>
Build-Depends: debhelper (>= 4.0.0), libosso-dev, libosso-gnomevfs2-dev, libhildonfm2-dev, hildon-control-panel-dev
Standards-Version: 3.6.1

Package: ukeyboard
Architecture: any
Depends: ${shlibs:Depends}
Description: Additional keyboard layouts
 Additional keyboard layouts for both on-screen and sliding keyboard.

Package: ukbdcreator
Architecture: any
Depends: ${shlibs:Depends}, ukeyboard (>= 1.7)
Description: Ukeyboard Creator
 Simple IDE for creating and testing on-screen keyboard layouts.

## ukeyboard 1.9

=== keyboards/Makefile ===
--- 
+++ 
@@ -10,7 +10,8 @@
 	hr-qwerty.vkb hr-qwertz.vkb \
 	hu-qwertz.vkb \
 	sk-qwerty.vkb sk-qwertz.vkb \
-	th-kedmanee.vkb
+	th-kedmanee.vkb \
+	tr-qwerty.vkb
 
 all: $(layouts)

=== debian/changelog ===
ukeyboard (1.9) unstable; urgency=low

  * Added Greek hw layouts for devices with US keyboard by Porfyras.
  * Added Turkish on-screen keyboard layout by Burak Ilgicioglu.
  * Minor fixes in Slovak on-screen keyboard layouts.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Wed, 21 Oct 2009 10:24:37 +0200

## ukeyboard 1.9-1

=== debian/changelog ===
ukeyboard (1.9-1) unstable; urgency=low

  * Removed git repo from source package.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Wed, 21 Oct 2009 13:53:22 +0200

## ukeyboard 2.0

=== debian/changelog ===
ukeyboard (2.0) unstable; urgency=low

  * Added support for Maemo5 (Fremantle).
  * Dropped Czech and Polish keyboard support, because they are officially
    supported now.
  * OS2008 (Diablo/Chinook) is no longer supported.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Wed, 29 Oct 2009 22:08:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ukeyboard
 Section: user/other
 Priority: optional
-Maintainer: Jiri Benc <jbenc@upir.cz>
+Maintainer: Roman Moravcik <roman.moravcik@gmail.com>
 Build-Depends: debhelper (>= 4.0.0), libosso-dev, libosso-gnomevfs2-dev, libhildonfm2-dev, hildon-control-panel-dev
 Standards-Version: 3.6.1

## ukeyboard 2.0-1

=== debian/changelog ===
ukeyboard (2.0-1) unstable; urgency=low

  * Added package icon.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Wed, 30 Oct 2009 14:43:45 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,13 @@
 Depends: ${shlibs:Depends}
 Description: Additional keyboard layouts
  Additional keyboard layouts for both on-screen and sliding keyboard.
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABmJLR0QA/wD/
+ AP+gvaeTAAAAsElEQVRIx+2W0QnDMBBDn0vmyEzOBMpo2cCZxEN4ketPE1ri
+ 0GActx8W3If0Izid4JyZ0QIPGqEbFWMAmOf51otYlsU5STZN0y6GEKjNARxg
+ KSUAYox476nFNy2E0C4jANtGktXkmybJDhndldNHRnfk1DyjAWAcx12QxLtW
+ yg9Gkg77XNe1mHvvs2a9R3V7dNaHq7jUo7M+XcXPe8TrOcnuNqd/m1xuZobr
+ X9DfGz0B8vhEeEEXu0oAAAAASUVORK5CYII=
 
 Package: ukbdcreator
 Architecture: any

## ukeyboard 2.0-2

=== Makefile ===
all:	vkb_compiler ukeyboard-prefs keyboards keyboards-scv ukbdcreator

ukeyboard-prefs:
	$(MAKE) -C cpanel

vkb_compiler:	vkb_compiler.o vkb_compiler_lib.o
	$(CC) -o $@ $+

vkb_compiler.o:	vkb_compiler.c vkb_compiler.h
	$(CC) -W -Wall -c -o $@ $<

vkb_compiler_lib.o:	vkb_compiler_lib.c vkb_compiler.h
	$(CC) -W -Wall -c -o $@ $<

keyboards:	vkb_compiler
	$(MAKE) -C keyboards

keyboards-scv:	vkb_compiler
	$(MAKE) -C keyboards-scv

ukbdcreator:	vkb_compiler_lib.o
	$(MAKE) -C ukbdcreator

install:	ukeyboard-prefs keyboards-scv
	$(MAKE) -C cpanel DESTDIR=$(DESTDIR) install
	$(MAKE) -C keyboards DESTDIR=$(DESTDIR) install
	$(MAKE) -C keyboards-scv DESTDIR=$(DESTDIR) install
	install -d $(DESTDIR)/usr/share/icons/hicolor/26x26/apps
	install -m 0644 ukeyboard.png $(DESTDIR)/usr/share/icons/hicolor/26x26/apps/
	install -d $(DESTDIR)/usr/share/X11/xkb/symbols/nokia_vndr
	install -m 0644 xkb/ukeyboard $(DESTDIR)/usr/share/X11/xkb/symbols/nokia_vndr/

clean:
	$(MAKE) -C cpanel clean
	$(MAKE) -C keyboards clean
	$(MAKE) -C keyboards-scv clean
	$(MAKE) -C ukbdcreator clean
	rm -f vkb_compiler *.o core
	rm -rf build

distclean:
	$(MAKE) clean
	rm -f *-stamp
	rm -rf debian/ukeyboard debian/ukbdcreator debian/files

=== cpanel/Makefile ===
libukeyboard-prefs.so:	prefs.o hw.o onscreen.o lang.o langset.o about.o
	$(CC) -shared -o $@ $+

add_cflags = `pkg-config --cflags gtk+-2.0 hildon-1 gconf-2.0 libosso`

prefs.o:	prefs.c
	$(CC) -c -W -Wall `pkg-config --cflags gtk+-2.0 gconf-2.0 hildon-control-panel libosso` -o $@ $<

hw.o:	hw.c
	$(CC) -c -W -Wall $(add_cflags) -o $@ $<

onscreen.o:	onscreen.c
	$(CC) -c -W -Wall $(add_cflags) -o $@ $<

lang.o:	lang.c
	$(CC) -c -W -Wall $(add_cflags) -o $@ $<

langset.o:	langset.c
	$(CC) -c -W -Wall $(add_cflags) -o $@ $<

about.o:	about.c about.inc
	$(CC) -c -W -Wall $(add_cflags) -o $@ $<

about.inc:	about.inc.in
#	for f in ../keyboards/*; do \
#		grep '^[ \t]*#[ \t]*\(title:\|author:\)' $$f | \
#		sed -e 's/</\&lt;/g' -e 's/>/\&gt;/g' -e 's/^.*title:[ \t]*\(.*\)/<i>\1:<\/i>\\n\\/' -e 's/^.*author:[ \t]*\(.*\)/\t\1\\n\\/' ; \
#	done > about.data
	sed -e 's/</\&lt;/g' -e 's/>/\&gt;/g' -e 's/$$/\\n\\/' < ../CREDITS > about.data
	sed -e s/@@VERSION@@/`cat ../VERSION`/g -e '/@@CONTRIB@@/r about.data' -e '/@@CONTRIB@@/d' < about.inc.in > about.inc

cppluginlibdir = $(DESTDIR)`pkg-config hildon-control-panel --variable=pluginlibdir`
cpplugindeskdir = $(DESTDIR)`pkg-config hildon-control-panel --variable=plugindesktopentrydir`

install:	libukeyboard-prefs.so
	install -d $(cppluginlibdir) $(cpplugindeskdir)
	install libukeyboard-prefs.so $(cppluginlibdir)
	install -m 644 ukeyboard-prefs.desktop $(cpplugindeskdir)
	install -d $(DESTDIR)/usr/libexec $(DESTDIR)/etc/sudoers.d
	install ukeyboard-set $(DESTDIR)/usr/libexec
	install -m 644 ukeyboard.sudoers $(DESTDIR)/etc/sudoers.d

clean:
	 rm -f *.o libukeyboard-prefs.so about.inc about.data core

=== keyboards-scv/Makefile ===
--- 
+++ 
@@ -1,5 +1,4 @@
 layouts = \
-	  cz-qwerty.vkb cz-qwertz.vkb \
 	  sk-qwerty.vkb sk-qwertz.vkb
 
 all: $(layouts)

=== keyboards/Makefile ===
--- 
+++ 
@@ -3,7 +3,6 @@
 	be-by.vkb \
 	bg-bds.vkb \
 	bg-phonetic.vkb \
-	cz-qwerty.vkb cz-qwertz.vkb \
 	en-dvorak.vkb \
 	eo-qwerty.vkb \
 	he-qwerty.vkb \

=== debian/changelog ===
ukeyboard (2.0-2) unstable; urgency=low

  * Fixed ukeyboard and ukbdcreator package categories.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Wed, 31 Oct 2009 15:33:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: ukeyboard
-Section: user/other
+Section: user/system
 Priority: optional
 Maintainer: Roman Moravcik <roman.moravcik@gmail.com>
 Build-Depends: debhelper (>= 4.0.0), libosso-dev, libosso-gnomevfs2-dev, libhildonfm2-dev, hildon-control-panel-dev
@@ -20,6 +20,7 @@
 
 Package: ukbdcreator
 Architecture: any
+Section: user/utilities
 Depends: ${shlibs:Depends}, ukeyboard (>= 1.7)
 Description: Ukeyboard Creator
  Simple IDE for creating and testing on-screen keyboard layouts.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/ukeyboard
DESTDIR_CREATOR=$(CURDIR)/debian/ukbdcreator

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into $(DESTDIR)
	$(MAKE) DESTDIR=$(DESTDIR) install
	$(MAKE) -C ukbdcreator DESTDIR=$(DESTDIR_CREATOR)/usr install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## ukeyboard 2.0-4

=== keyboards/Makefile ===
--- 
+++ 
@@ -9,8 +9,8 @@
 	hr-qwerty.vkb hr-qwertz.vkb \
 	hu-qwertz.vkb \
 	sk-qwerty.vkb sk-qwertz.vkb \
-	th-kedmanee.vkb \
 	tr-qwerty.vkb
+#	th-kedmanee.vkb \
 
 all: $(layouts)

=== ukbdcreator/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	echo '#define UKBD_VERSION	"'`cat ../VERSION`'"' > version.h
 
 clean:
-	rm -f ukbdcreator *.o core
+	rm -f ukbdcreator *.o core version.h
 
 DESTDIR ?= /usr/local
 install:

=== debian/changelog ===
ukeyboard (2.0-4) unstable; urgency=low

  * Temporary disabled Thai on-screen keyboard layout due to the missing
    Thai font package.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Tue,  3 Nov 2009 14:25:12 +0100

ukeyboard (2.0-3) unstable; urgency=low

  * Control panel applet is now displaying keyboard lists sorted.
  * Added better package description.
  * Fixed names of layouts.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Tue,  3 Nov 2009 14:03:47 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,17 @@
 Maintainer: Roman Moravcik <roman.moravcik@gmail.com>
 Build-Depends: debhelper (>= 4.0.0), libosso-dev, libosso-gnomevfs2-dev, libhildonfm2-dev, hildon-control-panel-dev
 Standards-Version: 3.6.1
+Homepage: http://www.upir.cz/maemo/keyboards/
 
 Package: ukeyboard
 Architecture: any
 Depends: ${shlibs:Depends}
-Description: Additional keyboard layouts
- Additional keyboard layouts for both on-screen and sliding keyboard.
+Description: Additional on-screen keyboard layouts
+ This package provides additional Arabic, Belorussian, Bulgarian
+ (BDS & Phonetic), Croatian (QWERTY & QWERTZ), English (Dvorak),
+ Esperanto (QWERTY), Hungarian (QWERTZ), Slovak (QWERTY & QWERTZ)
+ and Turkish on-screen keyboard layouts and Czech (QWERTY)
+ and Slovak (QWERTY & QWERTZ) hardware keyboard layouts.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABmJLR0QA/wD/
  AP+gvaeTAAAAsElEQVRIx+2W0QnDMBBDn0vmyEzOBMpo2cCZxEN4ketPE1ri

## ukeyboard 2.0-6

=== Makefile ===
--- 
+++ 
@@ -25,10 +25,11 @@
 	$(MAKE) -C cpanel DESTDIR=$(DESTDIR) install
 	$(MAKE) -C keyboards DESTDIR=$(DESTDIR) install
 	$(MAKE) -C keyboards-scv DESTDIR=$(DESTDIR) install
-	install -d $(DESTDIR)/usr/share/icons/hicolor/26x26/apps
-	install -m 0644 ukeyboard.png $(DESTDIR)/usr/share/icons/hicolor/26x26/apps/
+	install -d $(DESTDIR)/usr/share/icons/hicolor/48x48/apps
+	install -m 0644 ukeyboard.png $(DESTDIR)/usr/share/icons/hicolor/48x48/apps/
 	install -d $(DESTDIR)/usr/share/X11/xkb/symbols/nokia_vndr
 	install -m 0644 xkb/ukeyboard $(DESTDIR)/usr/share/X11/xkb/symbols/nokia_vndr/
+	$(MAKE) -C ukbdcreator DESTDIR=$(DESTDIR) install
 
 clean:
 	$(MAKE) -C cpanel clean

=== keyboards-scv/Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
 layouts = \
-	  sk-qwerty.vkb sk-qwertz.vkb
+	  aren.vkb \
+	  cz-qwerty.vkb \
+	  sk.vkb sk-qwerty.vkb
 
 all: $(layouts)

=== debian/changelog ===
ukeyboard (2.0-6) unstable; urgency=low

  * Fixed ukeyboard postinst/postrm scripts.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Thu, 19 Nov 2009 13:39:59 +0100

ukeyboard (2.0-5) unstable; urgency=low

  * Arabic (Lebanon) on-screen keyboard layout renamed to Arabic.
  * Tweaks of Arabic, Hebrew and Thai on-screen keyboard layouts.
  * Added Czech QWERTY on-screen keyboard layout.
  * Added Arabic hardware keyboard layout.
  * Added Arabic and Czech SCV layouts.
  * Minor tweaks of Slovak SCV layouts.
  * Added post installation user notification dialog.
  * Added bigger package icon (48x48).

 -- Roman Moravcik <roman.moravcik@gmail.com>  Thu, 19 Nov 2009 13:02:27 +0100

=== debian/control ===
Source: ukeyboard
Section: user/system
Priority: optional
Maintainer: Roman Moravcik <roman.moravcik@gmail.com>
Build-Depends: debhelper (>= 4.0.0), libosso-dev, libosso-gnomevfs2-dev, libhildonfm2-dev, hildon-control-panel-dev
Standards-Version: 3.6.1
Homepage: http://www.upir.cz/maemo/keyboards/
Vcs-Browser: http://repo.or.cz/w/ukeyboard.git
Vcs-Git: git://repo.or.cz/ukeyboard.git

Package: ukeyboard
Architecture: any
Depends: ${shlibs:Depends}, thai-ttf
Description: Additional on-screen keyboard layouts
 This package provides additional Arabic, Belorussian, Bulgarian
 (BDS & Phonetic), Croatian (QWERTY & QWERTZ), Czech (QWERTY),
 English (Dvorak), Esperanto (QWERTY), Hebrew, Hungarian (QWERTZ),
 Slovak (QWERTY & QWERTZ), Thai and Turkish on-screen keyboard
 layouts and Arabic, Czech (QWERTY) and Slovak (QWERTY & QWERTZ)
 hardware keyboard layouts.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAlwSFlzAAALEwAACxMBAJqcGAAAAVxJREFUaN7tmLFthDAUhn+idLSI
 GaAyo8AEnoEN2IAZ3LmDLejQXQU1DQXs4DQH8vkgoOS4i8n7JCTQ/5BsjD+e
 AAiCIAjCYhz9oigKZcOggyBAGIYOAHzqQVmWVjz1OI7vV4BzrgAgSZKH4qZp
 0Lbtn8omhBDOx1n2gAKAruvmoO979H0PKSWklG/NzJppJU6xAtZP4M5CeZ7P
 567rwnVdDMPw9sysGcdxeQ/oMMYQRREulwuu1+tbM7NGt9CmRrWPHNZqXp2d
 ahOvatRU1/T1W1LfqzPSqBUaNdX1nWqPzH49AVNdes0rsl0T4JxvKmup1T4i
 k1JCCDGP6fR7gLpR0ih1o/+lG13S4O33xiGvBnWja9R1PasuTVOkafrUAVE3
 aqVGsyxbVZeJ7/uz6qqqevqA9nSqnuchjmMIIR7uV1sH51wxxtSe2p8cjDF1
 s+JqZstPaIIgCILY5As+VklhB2vSewAAAABJRU5ErkJggg==

Package: ukbdcreator
Architecture: any
Section: user/utilities
Depends: ${shlibs:Depends}, ukeyboard (>= 1.7)
Description: Ukeyboard Creator
 Simple IDE for creating and testing on-screen keyboard layouts.

## ukeyboard 2.0-7

=== debian/changelog ===
ukeyboard (2.0-7) unstable; urgency=low

  * postinst/postrm scripts were not working properly on real device.
    Problems reported by Marius Gedminas and Timeless.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Mon, 23 Nov 2009 10:36:01 +0100

## ukeyboard 2.1-0

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,9 @@
 	install -d $(DESTDIR)/usr/share/icons/hicolor/48x48/apps
 	install -m 0644 ukeyboard.png $(DESTDIR)/usr/share/icons/hicolor/48x48/apps/
 	install -d $(DESTDIR)/usr/share/X11/xkb/symbols/nokia_vndr
-	install -m 0644 xkb/ukeyboard $(DESTDIR)/usr/share/X11/xkb/symbols/nokia_vndr/
+	install -m 0644 xkb/symbols/ukeyboard $(DESTDIR)/usr/share/X11/xkb/symbols/nokia_vndr/
+	install -d $(DESTDIR)/usr/share/X11/xkb/types
+	install -m 0644 xkb/types/ukeyboard $(DESTDIR)/usr/share/X11/xkb/types/
 	$(MAKE) -C ukbdcreator DESTDIR=$(DESTDIR) install
 
 clean:

=== keyboards-scv/Makefile ===
--- 
+++ 
@@ -1,7 +1,10 @@
 layouts = \
 	  aren.vkb \
-	  cz-qwerty.vkb \
-	  sk.vkb sk-qwerty.vkb
+	  bg_phonetic.vkb \
+	  cz_qwerty.vkb \
+	  dv.vkb \
+	  gr.vkb \
+	  sk.vkb sk_qwerty.vkb
 
 all: $(layouts)

=== keyboards/Makefile ===
--- 
+++ 
@@ -1,16 +1,17 @@
 layouts = \
-	ar-lebanon.vkb \
+	ar-ibmpc.vkb \
 	be-by.vkb \
 	bg-bds.vkb \
 	bg-phonetic.vkb \
+	cz-qwerty.vkb cz-qwertz.vkb\
 	en-dvorak.vkb \
 	eo-qwerty.vkb \
 	he-qwerty.vkb \
 	hr-qwerty.vkb hr-qwertz.vkb \
 	hu-qwertz.vkb \
 	sk-qwerty.vkb sk-qwertz.vkb \
+	th-kedmanee.vkb \
 	tr-qwerty.vkb
-#	th-kedmanee.vkb \
 
 all: $(layouts)

=== debian/changelog ===
ukeyboard (2.1-0) unstable; urgency=low

  * Added XSBC-Bugtracker field to debian/control.
  * Updated xkb includes in ukeyboard hardware keyboard layouts to use
    data from xkb-data package insted from obsolete xkbdata package
    (due to these old includes, modifier keys were not working on real device).
  * ukeyobard creator UI ported to Maemo5 (Fremantle).
  * Czech dictionary was not visible in Control pannel applet.
  * Fixed switching between Arabic and English layouts (Bug 6980,
    Bugs In The Arabic Hardware Keyboard).
  * Czech and Slovak scv QWERTY keyboard layouts were not working due to the
    inconsistency between layout names.
  * Added Bulgarian (ported from ukeyboard v1.9), Dvorak (by Jaroslav Poriz)
    and Greek (ported from ukeyboard v1.9) hardware keyboard layouts.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Wed, 24 Dec 2009 16:30:12 +0100

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,9 @@
  (BDS & Phonetic), Croatian (QWERTY & QWERTZ), Czech (QWERTY),
  English (Dvorak), Esperanto (QWERTY), Hebrew, Hungarian (QWERTZ),
  Slovak (QWERTY & QWERTZ), Thai and Turkish on-screen keyboard
- layouts and Arabic, Czech (QWERTY) and Slovak (QWERTY & QWERTZ)
- hardware keyboard layouts.
+ layouts and Arabic, Bulgarian (Phonetic), Czech (QWERTY), Dvorak,
+ Greek and Slovak (QWERTY & QWERTZ) hardware keyboard layouts.
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=Ukeyboard
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAlwSFlzAAALEwAACxMBAJqcGAAAAVxJREFUaN7tmLFthDAUhn+idLSI

## ukeyboard 2.1-1

=== Makefile ===
--- 
+++ 
@@ -25,6 +25,8 @@
 	$(MAKE) -C cpanel DESTDIR=$(DESTDIR) install
 	$(MAKE) -C keyboards DESTDIR=$(DESTDIR) install
 	$(MAKE) -C keyboards-scv DESTDIR=$(DESTDIR) install
+	install -d $(DESTDIR)/usr/share/doc/ukeyboard
+	install -m 0644 doc/howto doc/vkb-format-v3 doc/template.def $(DESTDIR)/usr/share/doc/ukeyboard/
 	install -d $(DESTDIR)/usr/share/icons/hicolor/48x48/apps
 	install -m 0644 ukeyboard.png $(DESTDIR)/usr/share/icons/hicolor/48x48/apps/
 	install -d $(DESTDIR)/usr/share/X11/xkb/symbols/nokia_vndr

=== keyboards-scv/Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 	  bg_phonetic.vkb \
 	  cz_qwerty.vkb \
 	  dv.vkb \
+	  faen.vkb \
 	  gr.vkb \
 	  sk.vkb sk_qwerty.vkb

=== keyboards/Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 	cz-qwerty.vkb cz-qwertz.vkb\
 	en-dvorak.vkb \
 	eo-qwerty.vkb \
+	fa-isiri9147.vkb \
 	he-qwerty.vkb \
 	hr-qwerty.vkb hr-qwertz.vkb \
 	hu-qwertz.vkb \

=== debian/changelog ===
ukeyboard (2.1-1) unstable; urgency=low

  * Documents describing format of VKB definition files and VKB template added
    to ukbdcreator package.
  * Added missing XSBC-Bugtracer and package icon to ukbdcreator package.
  * Updated ukbdcreator package description.
  * Added notes to ukeyboard post-installation dialog.
  * Tweaks of Bulgarian hardware keyboard layout suggested by Kostadin Bashev.
  * Tweaks of Arabic hardware keyboard layout suggested by Ahmed Alhamazani
    (Bug 7348: Arabic Characters Suggestion).
  * Tweaks of Greek hardware keyboard layout by Faidon Liambotis.
  * Added Persian on-screen, scv and hardware keyboard layouts by Hessam Farhang
    (Bug 7607: Persian Keyboard layout support).

 -- Roman Moravcik <roman.moravcik@gmail.com>  Tue, 12 Jan 2010 10:54:31 +0100

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,6 @@
 Homepage: http://www.upir.cz/maemo/keyboards/
 Vcs-Browser: http://repo.or.cz/w/ukeyboard.git
 Vcs-Git: git://repo.or.cz/ukeyboard.git
-
-Package: ukeyboard
-Architecture: any
-Depends: ${shlibs:Depends}, thai-ttf
-Description: Additional on-screen keyboard layouts
- This package provides additional Arabic, Belorussian, Bulgarian
- (BDS & Phonetic), Croatian (QWERTY & QWERTZ), Czech (QWERTY),
- English (Dvorak), Esperanto (QWERTY), Hebrew, Hungarian (QWERTZ),
- Slovak (QWERTY & QWERTZ), Thai and Turkish on-screen keyboard
- layouts and Arabic, Bulgarian (Phonetic), Czech (QWERTY), Dvorak,
- Greek and Slovak (QWERTY & QWERTZ) hardware keyboard layouts.
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=Ukeyboard
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
@@ -31,9 +20,25 @@
  aqVGsyxbVZeJ7/uz6qqqevqA9nSqnuchjmMIIR7uV1sH51wxxtSe2p8cjDF1
  s+JqZstPaIIgCILY5As+VklhB2vSewAAAABJRU5ErkJggg==
 
+Package: ukeyboard
+Architecture: any
+Depends: ${shlibs:Depends}, thai-ttf
+Description: Additional on-screen keyboard layouts
+ This package provides additional Arabic, Belorussian, Bulgarian
+ (BDS & Phonetic), Croatian (QWERTY & QWERTZ), Czech (QWERTY),
+ English (Dvorak), Esperanto (QWERTY), Hebrew, Hungarian (QWERTZ),
+ Persian, Slovak (QWERTY & QWERTZ), Thai and Turkish on-screen
+ keyboard layouts and Arabic, Bulgarian (Phonetic), Czech (QWERTY),
+ Dvorak, Greek, Persian anand Slovak (QWERTY & QWERTZ) hardware
+ keyboard layouts.
+
 Package: ukbdcreator
 Architecture: any
 Section: user/utilities
-Depends: ${shlibs:Depends}, ukeyboard (>= 1.7)
+Depends: ${shlibs:Depends}, ukeyboard (>= 2.0)
 Description: Ukeyboard Creator
  Simple IDE for creating and testing on-screen keyboard layouts.
+ .
+ On-screen keyboard layout template, documentation and description
+ of on-screen keyboard layout definition file are installed under
+ /usr/share/doc/ukeyboard/.

## ukeyboard 2.2-0

=== keyboards-scv/Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 	  dv.vkb \
 	  faen.vkb \
 	  gr.vkb \
+	  mk.vkb \
 	  sk.vkb sk_qwerty.vkb
 
 all: $(layouts)

=== keyboards/Makefile ===
--- 
+++ 
@@ -10,6 +10,7 @@
 	he-qwerty.vkb \
 	hr-qwerty.vkb hr-qwertz.vkb \
 	hu-qwertz.vkb \
+	mk.vkb \
 	sk-qwerty.vkb sk-qwertz.vkb \
 	th-kedmanee.vkb \
 	tr-qwerty.vkb

=== debian/changelog ===
ukeyboard (2.2-0) unstable; urgency=low

  * Automatically disable Auto-capitalisation option for Arabic, Hebrew, Persian
    and Thai on-screen keyboard layouts (Bug 7746: input method types a different
    letter from the one I clicked on the first time I use it, Bug 8095: Problem
    with Hebrew language).
  * Added WORKAROUND for Czech QWERTY HW layout broken in 2.2009.51-1 and 3.2010.02-8.
  * Added Macedonian on-screen, scv and hardware keyboard layouts by Nikola Kovachevski.
  * Enabled Swiss HW keyboard layout (added in 2.2009.51-1 FW).
  * Fixed typo in package description

 -- Roman Moravcik <roman.moravcik@gmail.com>  Thu, 18 Feb 2010 18:46:47 +0100

=== debian/control ===
--- 
+++ 
@@ -27,10 +27,10 @@
  This package provides additional Arabic, Belorussian, Bulgarian
  (BDS & Phonetic), Croatian (QWERTY & QWERTZ), Czech (QWERTY),
  English (Dvorak), Esperanto (QWERTY), Hebrew, Hungarian (QWERTZ),
- Persian, Slovak (QWERTY & QWERTZ), Thai and Turkish on-screen
- keyboard layouts and Arabic, Bulgarian (Phonetic), Czech (QWERTY),
- Dvorak, Greek, Persian anand Slovak (QWERTY & QWERTZ) hardware
- keyboard layouts.
+ Macedonian, Persian, Slovak (QWERTY & QWERTZ), Thai and Turkish
+ on-screen keyboard layouts and Arabic, Bulgarian (Phonetic),
+ Czech (QWERTY), Dvorak, Greek, Macedonian, Persian and Slovak
+ (QWERTY & QWERTZ) hardware keyboard layouts.
 
 Package: ukbdcreator
 Architecture: any

## ukeyboard 2.2-1

=== Makefile ===
--- 
+++ 
@@ -25,8 +25,8 @@
 	$(MAKE) -C cpanel DESTDIR=$(DESTDIR) install
 	$(MAKE) -C keyboards DESTDIR=$(DESTDIR) install
 	$(MAKE) -C keyboards-scv DESTDIR=$(DESTDIR) install
-	install -d $(DESTDIR)/usr/share/doc/ukeyboard
-	install -m 0644 doc/howto doc/vkb-format-v3 doc/template.def $(DESTDIR)/usr/share/doc/ukeyboard/
+	install -d $(DESTDIR)/home/user/MyDocs/ukbdcreator
+	install -m 0644 doc/howto doc/vkb-format-v3 doc/template.def $(DESTDIR)/home/user/MyDocs/ukbdcreator/
 	install -d $(DESTDIR)/usr/share/icons/hicolor/48x48/apps
 	install -m 0644 ukeyboard.png $(DESTDIR)/usr/share/icons/hicolor/48x48/apps/
 	install -d $(DESTDIR)/usr/share/X11/xkb/symbols/nokia_vndr

=== keyboards-scv/Makefile ===
--- 
+++ 
@@ -5,7 +5,9 @@
 	  dv.vkb \
 	  faen.vkb \
 	  gr.vkb \
+	  he_phonetic.vkb \
 	  mk.vkb \
+	  ru_phonetic.vkb \
 	  sk.vkb sk_qwerty.vkb
 
 all: $(layouts)

=== keyboards/Makefile ===
--- 
+++ 
@@ -11,9 +11,11 @@
 	hr-qwerty.vkb hr-qwertz.vkb \
 	hu-qwertz.vkb \
 	mk.vkb \
+	ru-phonetic.vkb ru-windows.vkb \
 	sk-qwerty.vkb sk-qwertz.vkb \
 	th-kedmanee.vkb \
-	tr-qwerty.vkb
+	tr-qwerty.vkb \
+	vi-qwerty.vkb
 
 all: $(layouts)

=== ukbdcreator/Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 DESTDIR ?= /usr/local
 install:
-	install -d $(DESTDIR)/bin $(DESTDIR)/share/applications/hildon $(DESTDIR)/share/dbus-1/services
-	install ukbdcreator $(DESTDIR)/bin
-	install -m 0644 ukbdcreator.desktop $(DESTDIR)/share/applications/hildon
-	install -m 0644 cz.upir.ukbdcreator.service $(DESTDIR)/share/dbus-1/services
+	install -d $(DESTDIR)/usr/bin $(DESTDIR)/usr/share/applications/hildon $(DESTDIR)/usr/share/dbus-1/services
+	install ukbdcreator $(DESTDIR)/usr/bin
+	install -m 0644 ukbdcreator.desktop $(DESTDIR)/usr/share/applications/hildon
+	install -m 0644 cz.upir.ukbdcreator.service $(DESTDIR)/usr/share/dbus-1/services

=== debian/changelog ===
ukeyboard (2.2-1) unstable; urgency=low

  * Documents describing format of VKB definition files and VKB template moved
    to MyDocs/ukbdcreator directory.
  * Added Vietnamese on-screen keyboard layout.
  * Added Hebrew Phonetic scv and hardware keyboard layouts.
  * Added Russian Phonetic on-screen, scv and hardware keyboard layouts.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Tue, 23 Feb 2010 23:58:45 +0100

=== debian/control ===
--- 
+++ 
@@ -27,10 +27,11 @@
  This package provides additional Arabic, Belorussian, Bulgarian
  (BDS & Phonetic), Croatian (QWERTY & QWERTZ), Czech (QWERTY),
  English (Dvorak), Esperanto (QWERTY), Hebrew, Hungarian (QWERTZ),
- Macedonian, Persian, Slovak (QWERTY & QWERTZ), Thai and Turkish
- on-screen keyboard layouts and Arabic, Bulgarian (Phonetic),
- Czech (QWERTY), Dvorak, Greek, Macedonian, Persian and Slovak
- (QWERTY & QWERTZ) hardware keyboard layouts.
+ Macedonian, Persian, Russian (Phonetic), Slovak (QWERTY & QWERTZ),
+ Thai, Turkish and Vietnamese on-screen keyboard layouts and Arabic,
+ Bulgarian (Phonetic), Czech (QWERTY), Dvorak, Greek, Hebrew (Phonetic),
+ Macedonian, Persian, Russian (Phonetic) and Slovak (QWERTY & QWERTZ)
+ hardware keyboard layouts.
 
 Package: ukbdcreator
 Architecture: any
@@ -41,4 +42,4 @@
  .
  On-screen keyboard layout template, documentation and description
  of on-screen keyboard layout definition file are installed under
- /usr/share/doc/ukeyboard/.
+ MyDocs/ukbdcreator/ directory.

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-DESTDIR=$(CURDIR)/debian/ukeyboard
-DESTDIR_CREATOR=$(CURDIR)/debian/ukbdcreator
+DESTDIR=$(CURDIR)/debian/tmp
 
 configure: configure-stamp
 configure-stamp:
@@ -46,7 +45,6 @@
 
 	# Add here commands to install the package into $(DESTDIR)
 	$(MAKE) DESTDIR=$(DESTDIR) install
-	$(MAKE) -C ukbdcreator DESTDIR=$(DESTDIR_CREATOR)/usr install
 
 
 # Build architecture-independent files here.
@@ -58,6 +56,7 @@
 	dh_testdir
 	dh_testroot
 #	dh_installchangelogs 
+	dh_install --sourcedir=debian/tmp
 	dh_fixperms
 	dh_installdeb
 	dh_gencontrol

## ukeyboard 2.2-2

=== keyboards/Makefile ===
--- 
+++ 
@@ -7,9 +7,11 @@
 	en-dvorak.vkb \
 	eo-qwerty.vkb \
 	fa-isiri9147.vkb \
-	he-qwerty.vkb \
+	he-phonetic.vkb he-qwerty.vkb \
 	hr-qwerty.vkb hr-qwertz.vkb \
 	hu-qwertz.vkb \
+	ka-qwerty.vkb \
+	km.vkb \
 	mk.vkb \
 	ru-phonetic.vkb ru-windows.vkb \
 	sk-qwerty.vkb sk-qwertz.vkb \

=== debian/changelog ===
ukeyboard (2.2-2) unstable; urgency=low

  * Added Khmer on-screen keyboard layout by Sopheak Hean.
  * Added dependency to ttf-khmeros package needed by Khmer keyboard layout.
  * Added Hebrew Phonetic on-screen keyboard layout.
  * Added dependency to ttf-bpg-georgian-fonts package needed by Georgian keyboard
    layout.
  * Added Georgian on-screen, scv and hardware keyboard layouts by David Gegechkori.
  * Minor tweaks of Vietnamese on-screen keyboard layout.
  * Minor fixes of layout description, name and lang of Hebrew phonetic scv layout.
  * Updated on-screen keyboard layout template.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Fri, 26 Feb 2010 11:25:26 +0100

=== debian/control ===
--- 
+++ 
@@ -22,16 +22,16 @@
 
 Package: ukeyboard
 Architecture: any
-Depends: ${shlibs:Depends}, thai-ttf
+Depends: ${shlibs:Depends}, thai-ttf, ttf-bpg-georgian-fonts, ttf-khmeros
 Description: Additional on-screen keyboard layouts
  This package provides additional Arabic, Belorussian, Bulgarian
  (BDS & Phonetic), Croatian (QWERTY & QWERTZ), Czech (QWERTY),
- English (Dvorak), Esperanto (QWERTY), Hebrew, Hungarian (QWERTZ),
- Macedonian, Persian, Russian (Phonetic), Slovak (QWERTY & QWERTZ),
- Thai, Turkish and Vietnamese on-screen keyboard layouts and Arabic,
- Bulgarian (Phonetic), Czech (QWERTY), Dvorak, Greek, Hebrew (Phonetic),
- Macedonian, Persian, Russian (Phonetic) and Slovak (QWERTY & QWERTZ)
- hardware keyboard layouts.
+ English (Dvorak), Esperanto (QWERTY), Georgian, Hebrew (Basic & Phonetic),
+ Hungarian (QWERTZ), Khmer, Macedonian, Persian, Russian (Phonetic),
+ Slovak (QWERTY & QWERTZ), Thai, Turkish and Vietnamese on-screen keyboard
+ layouts and Arabic, Bulgarian (Phonetic), Czech (QWERTY), Dvorak, Greek,
+ Georgian, Hebrew (Phonetic), Macedonian, Persian, Russian (Phonetic) and
+ Slovak (QWERTY & QWERTZ) hardware keyboard layouts.
 
 Package: ukbdcreator
 Architecture: any

## ukeyboard 2.2-3

=== debian/changelog ===
ukeyboard (2.2-3) unstable; urgency=low

  * Automatically select first/restore keyboard layout after activation/deactivation
    of keyboard layout from ukbdcreator.
  * Changed language code of template keyboard layout from en_US to en_XX
    to not conflict with present "English (USA)" layout.
  * Added "Help" menu item to ukbdcreator to display howto.txt.
  * "New" menu item will automatically load template layout.
  * Cleanup of ukbdcreator main menu and toolbar.
  * Fixed broken installation of ukbdcreator. Documentation and template moved
    to /usr/share/ukbdcreator directory (Bug 9323: ukbdcreator 2.2-2 fails to install).

 -- Roman Moravcik <roman.moravcik@gmail.com>  Mon,  1 Mar 2010 12:51:43 +0100

=== debian/control ===
--- 
+++ 
@@ -42,4 +42,4 @@
  .
  On-screen keyboard layout template, documentation and description
  of on-screen keyboard layout definition file are installed under
- MyDocs/ukbdcreator/ directory.
+ /usr/share/ukbdcreator/ directory.

## ukeyboard 2.2-4

=== debian/changelog ===
ukeyboard (2.2-4) unstable; urgency=low

  * Another of Khmer on-screen keyboard layout by Sopheak Hean.
  * Fixed crash of control panel applet spotter in Bug 9324: template.def makes
    hildon-input-method crash 
  * Optimization of ukbdcreator UI.
  * Added Slovenian QWERTY and QWERTZ on-screen keyobard layouts by Andrej Pisl.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Wed,  3 Mar 2010 17:15:53 +0100

=== debian/control ===
--- 
+++ 
@@ -28,10 +28,11 @@
  (BDS & Phonetic), Croatian (QWERTY & QWERTZ), Czech (QWERTY),
  English (Dvorak), Esperanto (QWERTY), Georgian, Hebrew (Basic & Phonetic),
  Hungarian (QWERTZ), Khmer, Macedonian, Persian, Russian (Phonetic),
- Slovak (QWERTY & QWERTZ), Thai, Turkish and Vietnamese on-screen keyboard
- layouts and Arabic, Bulgarian (Phonetic), Czech (QWERTY), Dvorak, Greek,
- Georgian, Hebrew (Phonetic), Macedonian, Persian, Russian (Phonetic) and
- Slovak (QWERTY & QWERTZ) hardware keyboard layouts.
+ Slovak (QWERTY & QWERTZ), Slovenian (QWERTY & QWERTZ), Thai, Turkish
+ and Vietnamese on-screen keyboard layouts and Arabic, Bulgarian (Phonetic),
+ Czech (QWERTY), Dvorak, Greek, Georgian, Hebrew (Phonetic), Macedonian,
+ Persian, Russian (Phonetic) and Slovak (QWERTY & QWERTZ) hardware keyboard
+ layouts.
 
 Package: ukbdcreator
 Architecture: any

## ukeyboard 2.3-0

=== debian/changelog ===
ukeyboard (2.3-0) unstable; urgency=low

  * Reorganized numbers and symbols tabs, removed space key and added capslock
    and backspace keys in Czech and Russian on-screen keyboard layouts.
  * Switching of layouts from control panel applet and ukbdcreator wasn't working
    SDK, due to the not working sudo in scratchbox.
  * No hardware keyboard layout was automatically selected in ukeyboard control
    panel applet after first run, even if original "Text Input" applet was showing
    configured hardware keyboard.
  * Added dependency to version of hildon-im-fkb provided by PR1.2 due the changes
    in on-screen keyboard layouts.
  * Updated VKB format documentation and template on-screen keyboard layout
    to include changes in PR1.2.
  * Key combination Fn+Backspace is Delete key in PR1.2 (Bug 9397: backspace
    is disabled when Fn is locked and hardware keyboard is set as Arabic, English).
  * Fixed Bug 9506: Unlocalised button "About" in Text input settings
    with "ukeyboard" installed.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Thu, 25 Mar 2010 09:28:59 +0100

## ukeyboard 2.3-1

=== cpanel/Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+all: libukeyboard-prefs.so ukeyboard-postinst.launch
+
 libukeyboard-prefs.so:	prefs.o hw.o onscreen.o lang.o langset.o about.o
 	$(CC) -shared -o $@ $+
 
@@ -32,6 +34,10 @@
 cppluginlibdir = $(DESTDIR)`pkg-config hildon-control-panel --variable=pluginlibdir`
 cpplugindeskdir = $(DESTDIR)`pkg-config hildon-control-panel --variable=plugindesktopentrydir`
 
+ukeyboard-postinst.launch:
+	$(CC) -W -Wall -shared -rdynamic `pkg-config --cflags --libs gtk+-2.0 hildon-1` ukeyboard-postinst.c -o $@
+	strip ukeyboard-postinst.launch
+
 install:	libukeyboard-prefs.so
 	install -d $(cppluginlibdir) $(cpplugindeskdir)
 	install libukeyboard-prefs.so $(cppluginlibdir)
@@ -39,6 +45,9 @@
 	install -d $(DESTDIR)/usr/libexec $(DESTDIR)/etc/sudoers.d
 	install ukeyboard-set $(DESTDIR)/usr/libexec
 	install -m 644 ukeyboard.sudoers $(DESTDIR)/etc/sudoers.d
+	install -d $(DESTDIR)/usr/bin
+	install ukeyboard-postinst.launch $(DESTDIR)/usr/bin
+	ln -s maemo-invoker $(DESTDIR)/usr/bin/ukeyboard-postinst
 
 clean:
-	 rm -f *.o libukeyboard-prefs.so about.inc about.data core
+	 rm -f *.o libukeyboard-prefs.so about.inc about.data core ukeyboard-postinst.launch

=== keyboards-scv/Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 	  cz_qwerty.vkb \
 	  dv.vkb \
 	  faen.vkb \
+	  ge.vkb \
 	  gr.vkb \
 	  he_phonetic.vkb \
 	  mk.vkb \

=== keyboards/Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 	mk.vkb \
 	ru-phonetic.vkb ru-windows.vkb \
 	sk-qwerty.vkb sk-qwertz.vkb \
+	sl-qwerty.vkb sl-qwertz.vkb \
 	th-kedmanee.vkb \
 	tr-qwerty.vkb \
 	vi-qwerty.vkb

=== debian/changelog ===
ukeyboard (2.3-1) unstable; urgency=low

  * Added missing character Che in Russian Phonetic on-screen keyboard layout.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Thu, 25 Mar 2010 10:03:05 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 Package: ukeyboard
 Architecture: any
-Depends: ${shlibs:Depends}, thai-ttf, ttf-bpg-georgian-fonts, ttf-khmeros
+Depends: ${shlibs:Depends}, thai-ttf, ttf-bpg-georgian-fonts, ttf-khmeros, hildon-im-fkb (>= 3.9.61-1)
 Description: Additional on-screen keyboard layouts
  This package provides additional Arabic, Belorussian, Bulgarian
  (BDS & Phonetic), Croatian (QWERTY & QWERTZ), Czech (QWERTY),

## ukeyboard 2.3-2

=== keyboards/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	fa-isiri9147.vkb \
 	he-phonetic.vkb he-qwerty.vkb \
 	hr-qwerty.vkb hr-qwertz.vkb \
-	hu-qwertz.vkb \
+	hu-qwerty.vkb hu-qwertz.vkb\
 	ka-qwerty.vkb \
 	km.vkb \
 	mk.vkb \

=== debian/changelog ===
ukeyboard (2.3-2) unstable; urgency=low

  * Reorganized numbers and symbols tabs, removed space key and added capslock
    and backspace keys in Arabic, Belorusian, Bulgarian, Croatian, Dvorak,
    Esperanto, Georgian, Hebrew, Hungarian, Khmer, Macedonian, Persian, Slovak,
    Slovenian, Thai, Turkish and Vietnamese on-screen keyboard layouts.
  * Added Hungarian QWERTY on-screen keyboard layout based on QWERTZ layout.
  * Added missing '@' symbol to Belorusian, Bulgarian and Russian on-screen
    keyboards layouts.
  * Swapped left and right parentesis, brackets, ... in Hebrew on-screen
    keyboard layouts.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Fri, 26 Mar 2010 14:50:53 +0100

=== debian/control ===
--- 
+++ 
@@ -24,10 +24,10 @@
 Architecture: any
 Depends: ${shlibs:Depends}, thai-ttf, ttf-bpg-georgian-fonts, ttf-khmeros, hildon-im-fkb (>= 3.9.61-1)
 Description: Additional on-screen keyboard layouts
- This package provides additional Arabic, Belorussian, Bulgarian
+ This package provides additional Arabic, Belarusian, Bulgarian
  (BDS & Phonetic), Croatian (QWERTY & QWERTZ), Czech (QWERTY),
  English (Dvorak), Esperanto (QWERTY), Georgian, Hebrew (Basic & Phonetic),
- Hungarian (QWERTZ), Khmer, Macedonian, Persian, Russian (Phonetic),
+ Hungarian (QWERTY & QWERTZ), Khmer, Macedonian, Persian, Russian (Phonetic),
  Slovak (QWERTY & QWERTZ), Slovenian (QWERTY & QWERTZ), Thai, Turkish
  and Vietnamese on-screen keyboard layouts and Arabic, Bulgarian (Phonetic),
  Czech (QWERTY), Dvorak, Greek, Georgian, Hebrew (Phonetic), Macedonian,

## ukeyboard 2.3-3

=== keyboards/Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 	bg-bds.vkb \
 	bg-phonetic.vkb \
 	cz-qwerty.vkb cz-qwertz.vkb\
+	de-neo2.vkb de-qwerty.vkb de-qwertz.vkb\
 	en-dvorak.vkb \
 	eo-qwerty.vkb \
 	fa-isiri9147.vkb \

=== debian/changelog ===
ukeyboard (2.3-3) unstable; urgency=low

  * Optimizations of Thai on-screen keyboard layout for FW PR1.2 by Super One.
  * Added German QWERTY and Neo2 on-screen keyboard layouts requested
    by Johannes Ruthmair.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Fri,  2 Apr 2010 11:30:18 +0200

=== debian/control ===
--- 
+++ 
@@ -23,15 +23,17 @@
 Package: ukeyboard
 Architecture: any
 Depends: ${shlibs:Depends}, thai-ttf, ttf-bpg-georgian-fonts, ttf-khmeros, hildon-im-fkb (>= 3.9.61-1)
+XB-Maemo-Upgrade-Description: This version of ukeyboard require FW/SDK PR1.2 and it's not compatible with older releases of FW/SDK.
 Description: Additional on-screen keyboard layouts
  This package provides additional Arabic, Belarusian, Bulgarian
  (BDS & Phonetic), Croatian (QWERTY & QWERTZ), Czech (QWERTY),
- English (Dvorak), Esperanto (QWERTY), Georgian, Hebrew (Basic & Phonetic),
- Hungarian (QWERTY & QWERTZ), Khmer, Macedonian, Persian, Russian (Phonetic),
- Slovak (QWERTY & QWERTZ), Slovenian (QWERTY & QWERTZ), Thai, Turkish
- and Vietnamese on-screen keyboard layouts and Arabic, Bulgarian (Phonetic),
- Czech (QWERTY), Dvorak, Greek, Georgian, Hebrew (Phonetic), Macedonian,
- Persian, Russian (Phonetic) and Slovak (QWERTY & QWERTZ) hardware keyboard
+ English (Dvorak), Esperanto (QWERTY), German (QWERTY & Neo2) Georgian,
+ Hebrew (Basic & Phonetic), Hungarian (QWERTY & QWERTZ), Khmer,
+ Macedonian, Persian, Russian (Phonetic), Slovak (QWERTY & QWERTZ),
+ Slovenian (QWERTY & QWERTZ), Thai, Turkish and Vietnamese on-screen
+ keyboard layouts and Arabic, Bulgarian (Phonetic), Czech (QWERTY),
+ Dvorak, Greek, Georgian, Hebrew (Phonetic), Macedonian, Persian,
+ Russian (Phonetic) and Slovak (QWERTY & QWERTZ) hardware keyboard
  layouts.
 
 Package: ukbdcreator

## ukeyboard 2.3-4

=== keyboards/Makefile ===
--- 
+++ 
@@ -13,7 +13,9 @@
 	hu-qwerty.vkb hu-qwertz.vkb\
 	ka-qwerty.vkb \
 	km.vkb \
+	lv-qwerty.vkb \
 	mk.vkb \
+	pa-jhelum.vkb \
 	ru-phonetic.vkb ru-windows.vkb \
 	sk-qwerty.vkb sk-qwertz.vkb \
 	sl-qwerty.vkb sl-qwertz.vkb \

=== debian/changelog ===
ukeyboard (2.3-4) unstable; urgency=low

  * Renamed "capslock" keyword to "shift" keyword in all on-screen keyboard
    layouts.
  * Added Punjabi Jhelum on-screen keyboard layout by A S Alam.
  * Added Latvian HW and on-screen keyboard layouts by Eriks Jansons.
  * Finished optimalization of Khmer on-screen keyboard layout for PR1.2.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Thu,  6 May 2010 14:16:32 +0200

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
  (BDS & Phonetic), Croatian (QWERTY & QWERTZ), Czech (QWERTY),
  English (Dvorak), Esperanto (QWERTY), German (QWERTY & Neo2) Georgian,
  Hebrew (Basic & Phonetic), Hungarian (QWERTY & QWERTZ), Khmer,
- Macedonian, Persian, Russian (Phonetic), Slovak (QWERTY & QWERTZ),
+ Macedonian, Persian, Punjabi, Russian (Phonetic), Slovak (QWERTY & QWERTZ),
  Slovenian (QWERTY & QWERTZ), Thai, Turkish and Vietnamese on-screen
  keyboard layouts and Arabic, Bulgarian (Phonetic), Czech (QWERTY),
  Dvorak, Greek, Georgian, Hebrew (Phonetic), Macedonian, Persian,

## ukeyboard 2.3-5

=== debian/changelog ===
ukeyboard (2.3-5) unstable; urgency=low

  * Arabic numbers and Arabic Kaf replaced by Persian numbers and Persian Kaf
    in Persian on-screen keyboard layout. Thanks to Saman Saadi.
  * Added Icelandic on-screen keyboard layout requested by Callie Rasmussen.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Tue, 25 May 2010 10:33:12 +0200

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  This package provides additional Arabic, Belarusian, Bulgarian
  (BDS & Phonetic), Croatian (QWERTY & QWERTZ), Czech (QWERTY),
  English (Dvorak), Esperanto (QWERTY), German (QWERTY & Neo2) Georgian,
- Hebrew (Basic & Phonetic), Hungarian (QWERTY & QWERTZ), Khmer,
+ Hebrew (Basic & Phonetic), Hungarian (QWERTY & QWERTZ), Icelandic, Khmer,
  Macedonian, Persian, Punjabi, Russian (Phonetic), Slovak (QWERTY & QWERTZ),
  Slovenian (QWERTY & QWERTZ), Thai, Turkish and Vietnamese on-screen
  keyboard layouts and Arabic, Bulgarian (Phonetic), Czech (QWERTY),

## ukeyboard 2.3-6

=== keyboards-scv/Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
 	  gr.vkb \
 	  he_phonetic.vkb \
 	  mk.vkb \
+	  lv.vkb \
 	  ru_phonetic.vkb \
 	  sk.vkb sk_qwerty.vkb

=== keyboards/Makefile ===
--- 
+++ 
@@ -10,7 +10,8 @@
 	fa-isiri9147.vkb \
 	he-phonetic.vkb he-qwerty.vkb \
 	hr-qwerty.vkb hr-qwertz.vkb \
-	hu-qwerty.vkb hu-qwertz.vkb\
+	hu-qwerty.vkb hu-qwertz.vkb \
+	is-qwerty.vkb \
 	ka-qwerty.vkb \
 	km.vkb \
 	lv-qwerty.vkb \

=== debian/changelog ===
ukeyboard (2.3-6) unstable; urgency=low

  * Removed dependency to hildon-im-fkb (>= 3.9.61-1).
  * Increased dependency of ukbdcreator to ukeyboard (>= 2.3).

 -- Roman Moravcik <roman.moravcik@gmail.com>  Tue, 25 May 2010 10:38:18 +0200

=== debian/control ===
--- 
+++ 
@@ -22,8 +22,7 @@
 
 Package: ukeyboard
 Architecture: any
-Depends: ${shlibs:Depends}, thai-ttf, ttf-bpg-georgian-fonts, ttf-khmeros, hildon-im-fkb (>= 3.9.61-1)
-XB-Maemo-Upgrade-Description: This version of ukeyboard require FW/SDK PR1.2 and it's not compatible with older releases of FW/SDK.
+Depends: ${shlibs:Depends}, thai-ttf, ttf-bpg-georgian-fonts, ttf-khmeros
 Description: Additional on-screen keyboard layouts
  This package provides additional Arabic, Belarusian, Bulgarian
  (BDS & Phonetic), Croatian (QWERTY & QWERTZ), Czech (QWERTY),
@@ -39,7 +38,7 @@
 Package: ukbdcreator
 Architecture: any
 Section: user/utilities
-Depends: ${shlibs:Depends}, ukeyboard (>= 2.0)
+Depends: ${shlibs:Depends}, ukeyboard (>= 2.3)
 Description: Ukeyboard Creator
  Simple IDE for creating and testing on-screen keyboard layouts.
  .
